Show / Hide Table of Contents

# Struct Human

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Scene

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Human

### Fields

| Improve this Doc View Source

#### ArmsDyeID

##### Declaration

    public byte ArmsDyeID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ArmsSetID

##### Declaration

    public short ArmsSetID

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### ArmsVariantID

##### Declaration

    public byte ArmsVariantID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### BodyType

##### Declaration

    public byte BodyType

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ChangedEquipData

##### Declaration

    public byte *ChangedEquipData

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### CharacterBase

##### Declaration

    public CharacterBase CharacterBase

##### Field Value

Type | Description
--- | ---
CharacterBase |

| Improve this Doc View Source

#### Clan

##### Declaration

    public byte Clan

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CustomizeData

##### Declaration

    public byte *CustomizeData

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### EarSetID

##### Declaration

    public short EarSetID

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### EarVariantID

##### Declaration

    public byte EarVariantID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### EquipSlotData

##### Declaration

    public byte *EquipSlotData

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### FaceId

##### Declaration

    public ushort FaceId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### FeetDyeID

##### Declaration

    public byte FeetDyeID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### FeetSetID

##### Declaration

    public short FeetSetID

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### FeetVariantID

##### Declaration

    public byte FeetVariantID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### HairId

##### Declaration

    public ushort HairId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### HeadDyeID

##### Declaration

    public byte HeadDyeID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### HeadSetID

##### Declaration

    public short HeadSetID

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### HeadVariantID

##### Declaration

    public byte HeadVariantID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LegsDyeID

##### Declaration

    public byte LegsDyeID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LegsSetID

##### Declaration

    public short LegsSetID

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### LegsVariantID

##### Declaration

    public byte LegsVariantID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LFingerSetID

##### Declaration

    public short LFingerSetID

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### LFingerVariantID

##### Declaration

    public byte LFingerVariantID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LipColorFurPattern

##### Declaration

    public byte LipColorFurPattern

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NeckSetID

##### Declaration

    public short NeckSetID

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### NeckVariantID

##### Declaration

    public byte NeckVariantID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Race

##### Declaration

    public byte Race

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### RaceSexId

##### Declaration

    public ushort RaceSexId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### RFingerSetID

##### Declaration

    public short RFingerSetID

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### RFingerVariantID

##### Declaration

    public byte RFingerVariantID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Sex

##### Declaration

    public byte Sex

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SlotNeedsUpdateBitfield

##### Declaration

    public uint SlotNeedsUpdateBitfield

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### TailEarId

##### Declaration

    public ushort TailEarId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### TopDyeID

##### Declaration

    public byte TopDyeID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TopSetID

##### Declaration

    public short TopSetID

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### TopVariantID

##### Declaration

    public byte TopVariantID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### WristSetID

##### Declaration

    public short WristSetID

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### WristVariantID

##### Declaration

    public byte WristVariantID

##### Field Value

Type | Description
--- | ---
System.Byte |